%{!?luaver: %global luaver %(lua -e "print(string.sub(_VERSION, 5))" || echo 0)}
%global luapkgdir %{_datadir}/lua/%{luaver}

%global luacompatver 5.1
%global luacompatpkgdir %{_datadir}/lua/%{luacompatver}

%global luapkgname fifo

Name:           lua-%{luapkgname}
Version:        0.2
Release:    2%{?dist}
Summary:        FIFO library for Lua

License:        MIT
URL:            https://github.com/daurnimator/%{luapkgname}.lua
Source0:        https://github.com/daurnimator/%{luapkgname}.lua/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  lua
BuildRequires:  pandoc

%description
A lua library/'class' that implements a FIFO. Objects in the fifo
can be of any type, including nil.

%package -n lua%{luacompatver}-%{luapkgname}
Summary:        FIFO library for Lua %{luacompatver}

%description -n lua%{luacompatver}-%{luapkgname}
A lua library/'class' that implements a FIFO. Objects in the fifo
can be of any type, including nil.

%prep
%setup -q -n fifo.lua-%{version}

%build
pandoc doc/index.md -s -t man -o fifo.lua.3

%install
install -D -p -m 0644 fifo.lua %{buildroot}/%{luapkgdir}/fifo.lua
install -D -p -m 0644 fifo.lua.3 %{buildroot}/%{_mandir}/man3/fifo.lua.3

install -D -p -m 0644 fifo.lua %{buildroot}/%{luacompatpkgdir}/fifo.lua

%files
%license LICENSE
%{_mandir}/man3/fifo.lua.3*
%{luapkgdir}/fifo.lua

%files -n lua%{luacompatver}-%{luapkgname}
%license LICENSE
%{_mandir}/man3/fifo.lua.3*
%{luacompatpkgdir}/fifo.lua

%changelog
* Tue May 07 2024 Fanjun Kong <fanjunkong@tencent.com> - 0.2-2
- epol debrand

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2-1
- initial build
